Package org.apache.sling.feature.maven.mojos

# Class AbstractFeatureMojo.BaseArtifactProvider

java.lang.Object
org.apache.sling.feature.maven.mojos.AbstractFeatureMojo.BaseArtifactProvider

All Implemented Interfaces:
  `org.apache.sling.feature.builder.ArtifactProvider`

Enclosing class:
  `AbstractFeatureMojo`

protected class AbstractFeatureMojo.BaseArtifactProvider extends Object implements org.apache.sling.feature.builder.ArtifactProvider

## Constructor Summary

Constructors
Constructor
Description
`BaseArtifactProvider()`

## Method Summary

Modifier and Type
Method
Description
`URL`
`provide(org.apache.sling.feature.ArtifactId id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BaseArtifactProvider

public BaseArtifactProvider()

## Method Details

### provide

public URL provide(org.apache.sling.feature.ArtifactId id)

Specified by:
  `provide` in interface `org.apache.sling.feature.builder.ArtifactProvider`